FixedRoundsCipherFactory< E, D > Class Template Reference
Inheritance diagram for FixedRoundsCipherFactory< E, D >:

## Public Member Functions

| FixedRoundsCipherFactory (unsigned int keylen=0)
unsigned int | BlockSize () const
unsigned int | KeyLength () const
apbt | NewEncryption (const byte *keyStr) const
apbt | NewDecryption (const byte *keyStr) const

## Public Attributes

unsigned int | m_keylen

## Detailed Description

### template<class E, class D>
class FixedRoundsCipherFactory< E, D >

Definition at line 1730 of file validat1.cpp.

The documentation for this class was generated from the following file:

- validat1.cpp